apiVersion: icp4a.ibm.com/v1
kind: ICP4ACluster
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"icp4a.ibm.com/v1","kind":"ICP4ACluster","metadata":{"annotations":{},"labels":{"app.kubernetes.io/instance":"ibm-dba","app.kubernetes.io/managed-by":"ibm-dba","app.kubernetes.io/name":"ibm-dba","release":"20.0.2"},"name":"icp4adeploy","namespace":"cp4a-demo1"},"spec":{"appVersion":"20.0.2","application_engine_configuration":[{"images":{"db_job":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/solution-server-helmjob-db","tag":"20.0.2"},"solution_server":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/solution-server","tag":"20.0.2"}},"name":"workspace"}],"bastudio_configuration":{"images":{"bastudio":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/bastudio","tag":"20.0.2"}},"jms_server":{"image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/jms","tag":"20.0.2"}},"playback_server":{"images":{"db_job":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/solution-server-helmjob-db","tag":"20.0.2"},"solution_server":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/solution-server","tag":"20.0.2"}}}},"baw_configuration":[{"case":{"init_job_image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/workflow-server-case-initialization","tag":"20.0.2"}},"content_integration":{"init_job_image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/iaws-ps-content-integration","tag":"20.0.2"}},"ibm_workplace_job":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/iaws-ibm-workplace","tag":"20.0.2"},"image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/workflow-server","tag":"20.0.2"},"jms":{"image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/jms","tag":"20.0.2"}},"name":"instance1","pfs_bpd_database_init_job":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/pfs-bpd-database-init-prod","tag":"20.0.2"},"upgrade_job":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/workflow-server-dbhandling","tag":"20.0.2"}}],"ca_configuration":{"global":{"image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images","tag":"20.0.2"}}},"ecm_configuration":{"cpe":{"image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/cpe","tag":"ga-555-p8cpe"}},"css":{"image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/css","tag":"ga-555-p8css"}},"graphql":{"image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/graphql","tag":"ga-555-p8cgql"}}},"elasticsearch_configuration":{"es_image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/pfs-elasticsearch-prod","tag":"20.0.2"},"es_init_image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/pfs-init-prod","tag":"20.0.2"},"es_nginx_image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/pfs-nginx-prod","tag":"20.0.2"}},"navigator_configuration":{"image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/navigator-sso","tag":"ga-308-icn"}},"odm_configuration":{"decisionCenter":{"enabled":true},"decisionRunner":{"enabled":true},"decisionServerRuntime":{"enabled":true},"image":{"pullSecrets":"admin.registrykey","repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images"}},"pfs_configuration":{"image":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/pfs-prod","tag":"20.0.2"}},"resource_registry_configuration":{"images":{"resource_registry":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/dba-etcd","tag":"20.0.2"}}},"shared_configuration":{"image_pull_secrets":["admin.registrykey"],"images":{"busybox":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/busybox","tag":"latest"},"db2":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/db2","tag":"11.5.1.0-CN1"},"db2_auxiliary":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/db2u.auxiliary.auth","tag":"11.5.1.0-CN1"},"db2_etcd":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/etcd","tag":"v3.3.10"},"db2_init":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/db2u.instdb","tag":"11.5.1.0-CN1"},"db2u_tools":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/db2u.tools","tag":"11.5.1.0-CN1"},"dbcompatibility_init_container":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/dba-dbcompatibility-initcontainer","tag":"20.0.2"},"keytool_init_container":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/dba-keytool-initcontainer","tag":"20.0.2"},"keytool_job_container":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/dba-keytool-jobcontainer","tag":"20.0.2"},"openldap":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/openldap","tag":"1.3.0"},"phpldapadmin":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/phpldapadmin","tag":"0.9.0"},"pull_policy":"IfNotPresent","umsregistration_initjob":{"repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images/dba-umsregistration-initjob","tag":"20.0.2"}},"root_ca_secret":"{{
      meta.name
      }}-root-ca","sc_deployment_baw_license":"non-production","sc_deployment_fncm_license":"non-production","sc_deployment_hostname_suffix":"{{
      meta.namespace
      }}.apps.federal.pub.ibm.gsc","sc_deployment_license":"non-production","sc_deployment_patterns":"foundation,content,contentanalyzer","sc_deployment_platform":"OCP","sc_deployment_type":"demo","sc_image_repository":"image-registry.openshift-image-registry.svc:5000/cp4a-images","sc_optional_components":"css","sc_run_as_user":null,"storage_configuration":{"sc_dynamic_storage_classname":"managed-nfs-storage","sc_fast_file_storage_classname":null,"sc_medium_file_storage_classname":null,"sc_slow_file_storage_classname":null},"trusted_certificate_list":[]}}}
  selfLink: /apis/icp4a.ibm.com/v1/namespaces/cp4a-demo1/icp4aclusters/icp4adeploy
  resourceVersion: '18452610'
  name: icp4adeploy
  uid: 9b1534a2-9380-4207-a0e8-0a865709f45b
  creationTimestamp: '2020-07-12T04:36:03Z'
  generation: 3
  namespace: cp4a-demo1
  labels:
    app.kubernetes.io/instance: ibm-dba
    app.kubernetes.io/managed-by: ibm-dba
    app.kubernetes.io/name: ibm-dba
    release: 20.0.2
spec:
  resource_registry_configuration:
    images:
      resource_registry:
        repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/dba-etcd'
        tag: 20.0.2
  ecm_configuration:
    cpe:
      image:
        repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/cpe'
        tag: ga-555-p8cpe
    css:
      image:
        repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/css'
        tag: ga-555-p8css
    graphql:
      image:
        repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/graphql'
        tag: ga-555-p8cgql
  application_engine_configuration:
    - images:
        db_job:
          repository: >-
            image-registry.openshift-image-registry.svc:5000/cp4a-images/solution-server-helmjob-db
          tag: 20.0.2
        solution_server:
          repository: >-
            image-registry.openshift-image-registry.svc:5000/cp4a-images/solution-server
          tag: 20.0.2
      name: workspace
  bastudio_configuration:
    images:
      bastudio:
        repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/bastudio'
        tag: 20.0.2
    jms_server:
      image:
        repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/jms'
        tag: 20.0.2
    playback_server:
      images:
        db_job:
          repository: >-
            image-registry.openshift-image-registry.svc:5000/cp4a-images/solution-server-helmjob-db
          tag: 20.0.2
        solution_server:
          repository: >-
            image-registry.openshift-image-registry.svc:5000/cp4a-images/solution-server
          tag: 20.0.2
  navigator_configuration:
    image:
      repository: >-
        image-registry.openshift-image-registry.svc:5000/cp4a-images/navigator-sso
      tag: ga-308-icn
  bae_configuration:
    - case:
        init_job_image:
          repository: >-
            image-registry.openshift-image-registry.svc:5000/cp4a-images/workflow-server-case-initialization
          tag: 20.0.2
	domain_name: "P8DOMAIN"
        object_store_name_dos: "DESIGN"
        object_store_name_tos: "TARGET"
        connection_point_name_tos: "pe_conn_target"
        network_shared_directory_pvc: "icn-pluginstore"
        custom_package_names: "IntelligentInvestigationWidgets.zip"
      content_integration:
        init_job_image:
          repository: >-
            image-registry.openshift-image-registry.svc:5000/cp4a-images/iaws-ps-content-integration
          tag: 20.0.2
      ibm_workplace_job:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/iaws-ibm-workplace
        tag: 20.0.2
      image:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/workflow-server
        tag: 20.0.2
      jms:
        image:
          repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/jms'
          tag: 20.0.2
      name: instance1
      pfs_bpd_database_init_job:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/pfs-bpd-database-init-prod
        tag: 20.0.2
      upgrade_job:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/workflow-server-dbhandling
        tag: 20.0.2    
  odm_configuration:
    decisionCenter:
      enabled: true
    decisionRunner:
      enabled: true
    decisionServerRuntime:
      enabled: true
    image:
      pullSecrets: admin.registrykey
      repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images'
  elasticsearch_configuration:
    es_image:
      repository: >-
        image-registry.openshift-image-registry.svc:5000/cp4a-images/pfs-elasticsearch-prod
      tag: 20.0.2
    es_init_image:
      repository: >-
        image-registry.openshift-image-registry.svc:5000/cp4a-images/pfs-init-prod
      tag: 20.0.2
    es_nginx_image:
      repository: >-
        image-registry.openshift-image-registry.svc:5000/cp4a-images/pfs-nginx-prod
      tag: 20.0.2
  pfs_configuration:
    image:
      repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/pfs-prod'
      tag: 20.0.2
  ca_configuration:
    global:
      image:
        repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images'
        tag: 20.0.2
  appVersion: 20.0.2
  shared_configuration:
    sc_deployment_type: demo
    sc_optional_components: css
    image_pull_secrets:
      - admin.registrykey
    trusted_certificate_list: []
    sc_deployment_patterns: 'foundation,content,contentanalyzer'
    sc_deployment_baw_license: non-production
    storage_configuration:
      sc_dynamic_storage_classname: managed-nfs-storage
      sc_fast_file_storage_classname: null
      sc_medium_file_storage_classname: null
      sc_slow_file_storage_classname: null
    sc_deployment_hostname_suffix: '{{ meta.namespace }}.apps.federal.pub.ibm.gsc'
    root_ca_secret: '{{ meta.name }}-root-ca'
    sc_deployment_license: non-production
    images:
      umsregistration_initjob:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/dba-umsregistration-initjob
        tag: 20.0.2
      pull_policy: IfNotPresent
      phpldapadmin:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/phpldapadmin
        tag: 0.9.0
      openldap:
        repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/openldap'
        tag: 1.3.0
      busybox:
        repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/busybox'
        tag: latest
      db2:
        repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/db2'
        tag: 11.5.1.0-CN1
      keytool_job_container:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/dba-keytool-jobcontainer
        tag: 20.0.2
      keytool_init_container:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/dba-keytool-initcontainer
        tag: 20.0.2
      db2_auxiliary:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/db2u.auxiliary.auth
        tag: 11.5.1.0-CN1
      db2_init:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/db2u.instdb
        tag: 11.5.1.0-CN1
      db2_etcd:
        repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images/etcd'
        tag: v3.3.10
      db2u_tools:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/db2u.tools
        tag: 11.5.1.0-CN1
      dbcompatibility_init_container:
        repository: >-
          image-registry.openshift-image-registry.svc:5000/cp4a-images/dba-dbcompatibility-initcontainer
        tag: 20.0.2
    sc_image_repository: 'image-registry.openshift-image-registry.svc:5000/cp4a-images'
    sc_deployment_platform: OCP
    sc_deployment_fncm_license: non-production
status:
  conditions:
    - ansibleResult:
        changed: 42
        completion: '2020-08-06T02:34:40.51429'
        failures: 0
        ok: 1239
        skipped: 989
      lastTransitionTime: '2020-08-06T02:34:41Z'
      message: >-
        Content Analyzer requires a secret defined with name 'aca-basedb'
        containing fields 'BASE_DB_USER' and 'BASE_DB_PWD'. Please see Readme.md

        BAStudio admin secret configuration missing:
        bastudio_configuration.admin_secret_name: icp4adeploy-bas-admin-secret

        We don't ignore errors
      reason: Failed
      status: 'False'
      type: Failure
    - lastTransitionTime: '2020-08-06T02:34:41Z'
      message: Running reconciliation
      reason: Running
      status: 'True'
      type: Running
